Bug 132012 - The position of the crop totally off when printing
Summary: The position of the crop totally off when printing
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Print
  Show dependency treegraph
 
Reported: 2020-04-09 20:32 UTC by Telesto
Modified: 2022-09-07 03:58 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (31.09 KB, application/vnd.oasis.opendocument.graphics)
2020-04-09 20:32 UTC, Telesto
Details
Pdf test (20.52 KB, application/pdf)
2020-04-09 21:14 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-04-09 20:32:06 UTC
Description:
The position of the crop totally off when printing

Steps to Reproduce:
1. open the attached file
2. File -> Print -> Print to PDF printer or Microsoft XPS (on Win)

Actual Results:
Some random area

Expected Results:
Same result as on screen


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 4501a0ba623ad61c5a4e0b807da2e96f0e4ce82c
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 1 Telesto 2020-04-09 20:32:36 UTC
Created attachment 159454 [details]
Example file
Comment 2 m.a.riosv 2020-04-09 21:14:22 UTC
Created attachment 159457 [details]
Pdf test

I think I see with pdf the same as in draw screen.
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 95ec2e9b024ff12a3005777c902d7e0975460b1d
CPU threads: 4; OS: Windows 10.0 Build 19592; UI render: Skia/Raster; VCL: win; 
Locale: es-ES (es_ES); UI-Language: en-US Calc: CL
Comment 3 Telesto 2020-04-09 21:58:14 UTC
(In reply to m.a.riosv from comment #2)
> Created attachment 159457 [details]
> Pdf test
> 
> I think I see with pdf the same as in draw screen.
> Version: 7.0.0.0.alpha0+ (x64)
> Build ID: 95ec2e9b024ff12a3005777c902d7e0975460b1d
> CPU threads: 4; OS: Windows 10.0 Build 19592; UI render: Skia/Raster; VCL:
> win; 
> Locale: es-ES (es_ES); UI-Language: en-US Calc: CL

This appears to be a LibreOffice PDF export not an actual print. PDF export is fine. It's about 'real' printing (except I'm using a PDF printer; PDFcreator in my case)
Comment 4 m.a.riosv 2020-04-09 22:46:44 UTC
I also use pdfcreator since years, and with it I can reproduce the isse with portrait or landscape for the page.

BTW with 643 print the graphics fine, but in portrait no in landscape.
Comment 5 raal 2020-04-24 13:17:39 UTC
Hello,
are you sure it's rgression? I can reproduce the bug in Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 6 Telesto 2020-04-24 18:55:34 UTC
(In reply to raal from comment #5)
> Hello,
> are you sure it's rgression? I can reproduce the bug in Version
> 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

I don't reproduce the problem with:
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL
Comment 7 Attila Baraksó (NISZ) 2020-04-30 15:48:03 UTC
Bibisected using bibisect-win32-6.3 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=2c23a96f7b6888c0e05fdc2aba57f03cd797b647
author: Daniel Silva <danielfaleirosilva@gmail.com>
committer: Daniel Silva <danielfaleirosilva@gmail.com>
summary: tdf#67905 adds an option to disable print preview in print dialog

Adding Cc: Daniel Silva
Comment 8 QA Administrators 2022-09-07 03:58:29 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug